> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insightacademyedu.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Remover aluno de várias turmas

> Remove um aluno de várias turmas.

<p className="text-lg font-semibold text-[red]">
  Atenção: Essa ação é irreversível e não pode ser desfeita.
</p>


## OpenAPI

````yaml DELETE /classe/remove-student
openapi: 3.1.0
info:
  title: OpenAPI Insight Academy
  description: Insight Academy Platform API
  version: 1.0.0
  contact:
    email: ti@whydea.com.br
    name: Insight Academy
  license:
    name: MIT
servers:
  - url: https://api.plataformainsight.com.br/v1
    description: ''
security:
  - bearerAuth: []
tags: []
paths:
  /classe/remove-student:
    delete:
      summary: Remover aluno de várias turmas
      description: Remove um aluno de várias turmas.
      operationId: deleteRemoveStudentFromClasses
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RemoveStudentFromClassesRequestBody'
              type: object
      responses:
        '200':
          description: ''
          content:
            application/json:
              example: {}
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
                type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
                type: object
components:
  schemas:
    RemoveStudentFromClassesRequestBody:
      type: object
      properties:
        email:
          type: string
          description: Email do aluno
        classes:
          type: array
          minItems: 1
          items:
            type: object
            properties:
              id:
                type: string
                description: Código da turma
            required:
              - id
      required:
        - email
        - classes
    BadRequestResponse:
      type: object
      properties:
        status:
          type: string
          examples:
            - error
        message:
          type: string
          examples:
            - Bad request
    UnauthorizedResponse:
      type: object
      properties:
        status:
          type: string
          examples:
            - error
        message:
          type: string
          examples:
            - Unauthorized
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````